@echo off
SET RAYPATH=.;c:\radiance\lib
PATH=c:\radiance\bin;%PATH%
c:
cd c:\ladybug\skymodel.py_edited1\gridbased_annual

echo :: total sky matrix
c:\radiance\bin\gendaymtx -O1 -r 0.0 -m 1 -v sky/skymtx_sol_r1_0_471080_37.567_126.95_0.0.wea > sky/skymtx_sol_r1_0_471080_37.567_126.95_0.0.smx
echo :: direct sky matrix
c:\radiance\bin\gendaymtx -d -O1 -r 0.0 -m 1 -v sky/skymtx_sol_r1_1_471080_37.567_126.95_0.0.wea > sky/skymtx_sol_r1_1_471080_37.567_126.95_0.0.smx
echo :: Done with 0 of 1 ^|----------^| (0.00%%)
echo ::
echo :: start of the calculation for scene, default. State 1 of 1
echo ::
echo :: :: 1. calculating daylight matrices
echo ::
echo :: :: [1/3] scene daylight matrix
echo :: :: rfluxmtx - [sky] [points] [wgroup] [blacked wgroups] [scene] ^> [dc.mtx]
echo ::
c:\radiance\bin\rfluxmtx -y 400 -aa 0.25 -ab 3 -ad 5000 -ar 16 -as 128 -dc 0.25 -dj 0.0 -dp 64 -ds 0.5 -dr 0 -dt 0.5 -I -lr 4 -lw 2e-06 -c 1 -ss 0.0 -st 0.85 - sky\rfluxSky.rad scene\glazing\skymodel.py_edited1..glz.mat scene\glazing\skymodel.py_edited1..glz.rad scene\opaque\skymodel.py_edited1..opq.mat scene\opaque\skymodel.py_edited1..opq.rad < skymodel.py_edited1.pts > result\matrix\normal_skymodel.py_edited1..scene..default.dc 
echo :: :: [2/3] black scene daylight matrix
echo :: :: rfluxmtx - [sky] [points] [wgroup] [blacked wgroups] [blacked scene] ^> [black dc.mtx]
echo ::
c:\radiance\bin\rfluxmtx -y 400 -aa 0.25 -ab 1 -ad 5000 -ar 16 -as 128 -dc 0.25 -dj 0.0 -dp 64 -ds 0.5 -dr 0 -dt 0.5 -I -lr 4 -lw 2e-06 -c 1 -ss 0.0 -st 0.85 - sky\rfluxSky.rad scene\glazing\skymodel.py_edited1..glz.mat scene\glazing\skymodel.py_edited1..glz.rad scene\opaque\skymodel.py_edited1..blk.mat scene\opaque\skymodel.py_edited1..opq.rad < skymodel.py_edited1.pts > result\matrix\black_skymodel.py_edited1..scene..default.dc 
echo :: :: [3/3] black scene analemma daylight matrix
echo :: :: rcontrib - [sun_matrix] [points] [wgroup] [blacked wgroups] [blacked scene] ^> [analemma dc.mtx]
echo ::
c:\radiance\bin\oconv -f scene\glazing\skymodel.py_edited1..glz.mat scene\glazing\skymodel.py_edited1..glz.rad scene\opaque\skymodel.py_edited1..blk.mat scene\opaque\skymodel.py_edited1..opq.rad sky\analemma_reversed.rad > analemma.oct
c:\radiance\bin\rcontrib -aa 0.0 -ab 0 -ad 512 -ar 16 -as 128 -dc 1.0 -dj 0.0 -dp 64 -ds 0.5 -dr 0 -dt 0.0 -I -lr 4 -lw 0.05 -M .\sky\analemma.mod -ss 0.0 -st 0.85 analemma.oct < skymodel.py_edited1.pts > result\matrix\sun_skymodel.py_edited1..scene..default.dc
echo :: :: 2. matrix multiplication
echo ::
echo :: :: [1/3] calculating daylight mtx * total sky
echo :: :: dctimestep [dc.mtx] [total sky] ^> [total results.rgb]
c:\radiance\bin\dctimestep result\matrix\normal_skymodel.py_edited1..scene..default.dc sky\skymtx_sol_r1_0_471080_37.567_126.95_0.0.smx > tmp\total..scene..default.rgb
echo :: :: rmtxop -c 47.4 119.9 11.6 [results.rgb] ^> [total results.ill]
echo ::
c:\radiance\bin\rmtxop -c 47.4 119.9 11.6 -fa tmp\total..scene..default.rgb > result\total..scene..default.ill
echo :: :: [2/3] calculating black daylight mtx * direct only sky
echo :: :: dctimestep [black dc.mtx] [direct only sky] ^> [direct results.rgb]
c:\radiance\bin\dctimestep result\matrix\black_skymodel.py_edited1..scene..default.dc sky\skymtx_sol_r1_1_471080_37.567_126.95_0.0.smx > tmp\direct..scene..default.rgb
echo :: :: rmtxop -c 47.4 119.9 11.6 [direct results.rgb] ^> [direct results.ill]
echo ::
c:\radiance\bin\rmtxop -c 47.4 119.9 11.6 -fa tmp\direct..scene..default.rgb > result\direct..scene..default.ill
echo :: :: [3/3] calculating black daylight mtx * analemma
echo :: :: dctimestep [black dc.mtx] [analemma only sky] ^> [sun results.rgb]
c:\radiance\bin\dctimestep result\matrix\sun_skymodel.py_edited1..scene..default.dc sky\sunmtx.smx > tmp\sun..scene..default.rgb
echo :: :: rmtxop -c 47.4 119.9 11.6 [sun results.rgb] ^> [sun results.ill]
echo ::
c:\radiance\bin\rmtxop -c 47.4 119.9 11.6 -fa tmp\sun..scene..default.rgb > result\sun..scene..default.ill
echo :: :: 3. calculating final results
echo :: :: rmtxop [total results.ill] - [direct results.ill] + [sun results.ill] ^> [final results.ill]
echo ::
c:\radiance\bin\rmtxop result\total..scene..default.ill + -s -1.0 result\direct..scene..default.ill + result\sun..scene..default.ill > result\scene..default.ill
echo :: end of calculation for scene, default
echo ::
echo ::